MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FlacStreamDecoder Class Reference

OO wrapper for a FLAC__StreamDecoder. More...

`#include <FlacStreamDecoder.hxx>`

## Public Member Functions
| FlacStreamDecoder ()
| FlacStreamDecoder (FlacStreamDecoder &&src)
| ~FlacStreamDecoder ()
FlacStreamDecoder & | operator= (FlacStreamDecoder &&src)
| operator bool () const
FLAC__StreamDecoder * | get ()

## Detailed Description

OO wrapper for a FLAC__StreamDecoder.

Definition at line 35 of file FlacStreamDecoder.hxx.

## Constructor & Destructor Documentation

FlacStreamDecoder::FlacStreamDecoder | ( |  | ) |
| inline

Definition at line 39 of file FlacStreamDecoder.hxx.

FlacStreamDecoder::FlacStreamDecoder | ( | FlacStreamDecoder && | src | ) |
| inline

Definition at line 45 of file FlacStreamDecoder.hxx.

FlacStreamDecoder::~FlacStreamDecoder | ( |  | ) |
| inline

Definition at line 50 of file FlacStreamDecoder.hxx.

## Member Function Documentation

FLAC__StreamDecoder* FlacStreamDecoder::get | ( |  | ) |
| inline

Definition at line 64 of file FlacStreamDecoder.hxx.

FlacStreamDecoder::operator bool | ( |  | ) | const
| inline

Definition at line 60 of file FlacStreamDecoder.hxx.

FlacStreamDecoder& FlacStreamDecoder::operator= | ( | FlacStreamDecoder && | src | ) |
| inline

Definition at line 55 of file FlacStreamDecoder.hxx.

The documentation for this class was generated from the following file:

- decoder/plugins/FlacStreamDecoder.hxx